#include "mlayoutpushbutton_p.h"
#include "mlayoutpushbutton.h"

#include <QDebug>
#include <QLayout>
#include <QWidget>

MLayoutPushButton::MLayoutPushButton(QWidget *parent) :
    MLayoutPushButton(*new MLayoutPushButtonPrivate, parent)
{

}


MLayoutPushButton::MLayoutPushButton(MLayoutPushButtonPrivate &d, QWidget *parent) :
    QPushButton(parent),
    d_ptr(&d)
{

}

MLayoutPushButton::~MLayoutPushButton()
{

}


QSize MLayoutPushButton::sizeHint() const
{
    QSize size = QPushButton::sizeHint();
    return size.expandedTo(QWidget::sizeHint());
}

QSize MLayoutPushButton::minimumSizeHint() const
{
    return sizeHint();
}

void MLayoutPushButton::setLayout(QLayout *layout)
{
    QPushButton::setLayout(layout);
    layout->setContentsMargins(6, 3, 6, 3);
}
