#ifndef MPUSHBUTTON_H
#define MPUSHBUTTON_H

// Qt
#include <QPushButton>

class MLayoutPushButtonPrivate;

class MLayoutPushButton : public QPushButton
{
    Q_OBJECT

public:
    explicit MLayoutPushButton(QWidget *parent = nullptr);
    ~MLayoutPushButton();

    virtual QSize sizeHint() const override;
    virtual QSize minimumSizeHint() const override;
    void setLayout(QLayout *layout);

protected:
    explicit MLayoutPushButton(MLayoutPushButtonPrivate &d, QWidget *parent = nullptr);
    QScopedPointer<MLayoutPushButtonPrivate> d_ptr;

private:
    Q_DECLARE_PRIVATE(MLayoutPushButton)
};

#endif // MPUSHBUTTON_H
