#ifndef MSPINNERPUSHBUTTON_H
#define MSPINNERPUSHBUTTON_H

#include <MLayoutPushButton>

class MSpinnerPushButtonPrivate;

class MSpinnerPushButton : public MLayoutPushButton
{
    Q_OBJECT
    
public:
    explicit MSpinnerPushButton(QWidget *parent = nullptr);
    ~MSpinnerPushButton();

    void setText(const QString &text);
    QString text() const;

    Q_PROPERTY(QString text READ text WRITE setText NOTIFY textChanged)

signals:
    void textChanged(const QString &text);

protected:
    explicit MSpinnerPushButton(MSpinnerPushButtonPrivate &d_ptr, QWidget *parent = nullptr);
    
private:
    Q_DECLARE_PRIVATE(MSpinnerPushButton)
};

#endif // MSPINNERPUSHBUTTON_H
