#include "helpers.h"

#include <QDir>
#include <QRegularExpression>

#include "settings.h"

Helpers::Helpers()
{

}

QString Helpers::pathToRelative(const QString &path)
{
    if (path.isEmpty()) {
        return path;
    }

    QString fullbase = Settings::instance().baseDir().replace(QLatin1String("$HOME"), QDir::homePath());
    if (!fullbase.endsWith(QLatin1Char('/'))) {
        fullbase.append(QLatin1Char('/'));
    }

    if (path.startsWith(fullbase)) {
        return QString(path).remove(QRegularExpression(QString("^%1").arg(fullbase)));
    } else {
        return path.trimmed();
    }
}

QString Helpers::pathToAbsolute(const QString &path)
{
    if (path.isEmpty()) {
        return path;
    }

    if (path.startsWith(QLatin1Char('/'))) {
        return path.trimmed();
    }

    QString fullpath = Settings::instance().baseDir().replace(QLatin1String("$HOME"), QDir::homePath());
    fullpath.append(QLatin1Char('/')).append(path.trimmed());

    return fullpath;
}
