#!/bin/bash

export SOURCE_ROOT=$(readlink -f "$(dirname "${0}")/..")
export QT_CONFIG=base
export VERSION=$(cat "${SOURCE_ROOT}/VERSION")
export PROJECT=$(basename "${SOURCE_ROOT}")
export LOG_ROOT="../Build/Dist/log"

cd "${SOURCE_ROOT}"

mkdir -p "../Build/Dist/"
echo -e "{\n    \"latest\" : ${VERSION}\n}" > "../Build/Dist/version.json"

mkdir -p "${LOG_ROOT}" 2>/dev/null

build() {
    while test "${1}" != ""; do
        case "${1}" in
        'source')
            ./Dist/Source/build.sh >"${LOG_ROOT}/Source" 2>>"${LOG_ROOT}/Source"
            ;;

        'x86_64')
            ./Dist/Linux.x86_64/build.sh >"${LOG_ROOT}/Linux.x86_64" 2>>"${LOG_ROOT}/Linux.x86_64"
            ;;
            
        'x86')
            ./Dist/Linux.x86/build.sh >"${LOG_ROOT}/Linux.x86" 2>>"${LOG_ROOT}/Linux.x86"
            ;;
        esac
        
        shift
    done
}

if (( $# == 0 )); then
    build 'source' 'x86_64'
else
    build $@
fi
