#ifndef CONFIGURESTASHPAGE_H
#define CONFIGURESTASHPAGE_H

#include <QSharedPointer>
#include <QWizardPage>

class Stash;

namespace Ui {
class ConfigureStashPage;
}

class ConfigureStashPage : public QWizardPage
{
    Q_OBJECT

public:
    explicit ConfigureStashPage(const QSharedPointer<Stash> &stash, QWidget *parent = nullptr);
    ~ConfigureStashPage();

public slots:
    virtual void setVisible(bool visible) override;
    QSize sizeHint() const override;
    QSize minimumSizeHint() const override;

private slots:
    void checkMountDirChangable();
    void on_button_mountDir_clicked();
    void mountDirChanged(const QString &mountDir);

    void on_label_help_linkActivated(const QString &link);

private:
    Ui::ConfigureStashPage *ui;
    QSharedPointer<Stash> m_stash;
    bool m_initialized;
    QSize m_size;
};

#endif // CONFIGURESTASHPAGE_H
