#ifndef STASHMIMEDATA_H
#define STASHMIMEDATA_H

// Qt
#include <QMimeData>
#include <QSharedPointer>

// Core
#include "Core/stash.h"

class StashMimeData : public QMimeData
{
    Q_OBJECT

public:
    StashMimeData();

    Q_PROPERTY(QSharedPointer<Stash> stash READ stash WRITE setStash)

    QSharedPointer<Stash> stash() const;

    void setStash(const QSharedPointer<Stash> stash);

private:
    QSharedPointer<Stash> m_stash;

    // QMimeData interface
public:
    virtual QStringList formats() const override;
};

#endif // STASHMIMEDATA_H
