#ifndef STASHTABLEVIEW_H
#define STASHTABLEVIEW_H

// Qt
#include <QSharedPointer>
#include <QVariant>
#include <QWidget>

class Stash;

namespace Ui {
class StashTableView;
}

class StashTableView : public QWidget
{
    Q_OBJECT

public:
    explicit StashTableView(QWidget *parent = nullptr);
    ~StashTableView();


// Properties =====================================================================================
public:
    Q_PROPERTY(QVariant stashGroup READ stashGroup WRITE setStashGroup NOTIFY stashGroupChanged)
    Q_PROPERTY(QSharedPointer<Stash> selectedStash READ selectedStash NOTIFY selectedStashChanged)

    QVariant stashGroup() const;
    QSharedPointer<Stash> selectedStash() const;

signals:
    void stashGroupChanged(const QVariant &stashGroup);
    void selectedStashChanged(const QSharedPointer<Stash> stash);

public slots:
    void setStashGroup(const QVariant &stashGroup);

private:
    Ui::StashTableView *ui;

    class Model;
    Model *m_model;

    class DropIndicatorProxyStyle;
    DropIndicatorProxyStyle *m_style;
};

#endif // STASHTABLEVIEW_H
